Bug 120951 - feature request: include smartctl in rescue system
feature request: include smartctl in rescue system
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-15 11:56 EDT by Michael Stefaniuc
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-22 15:24:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Stefaniuc 2004-04-15 11:56:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
Please include smartctl in the rescue system.
Quoting from the man page: 
smartctl  controls the Self-Monitoring, Analysis and Reporting
Technolgy (SMART) system built into many ATA-3 and later ATA, IDE and
 SCSI-3 drives.

Reason for inclusion: smartctl is a nice tool to tell a HD to do some
self checks. This is usefull if somebody wants to check if the HD is
starting to fail. Running the SMART selftest while the systems has has
the HD mounted can lead (happened to myself) to IDE timeouts and bus
resets and a crashed machine. Using smartctl from the rescue system
with the HD unmounted would be a nice way to bypass the above problems.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot the rescue system
2.
3.
    

Additional info:

smartctl is included in the kernel-utils rpm
Comment 1 Bruce Allen 2004-04-15 19:54:57 EDT
Hi Michael,

I support your idea of having smartctl as part of the rescue system.

Note: running self-tests (in non-captive mode) should not lead to ide
timeouts.  There has been some lkml traffic about this recently;
please see this URL for the thread:
http://groups.google.com/groups?hl=en&lr=&ie=UTF-8&oe=UTF-8&safe=off&threadm=1yuPG-36O-9%40gated-at.bofh.it&rnum=2&prev=/groups%3Fq%3Dsmartctl%2Bide%2Bdriver%2Btimeout%26hl%3Den%26lr%3D%26ie%3DUTF-8%26oe%3DUTF-8%26safe%3Doff%26scoring%3Dd%26selm%3D1yuPG-36O-9%2540gated-at.bofh.it%26rnum%3D2

I'd be interested to know your kernel version and what type of disk
you have.  Also, does smartctl -a reveal any signs of problems with
the disk?  Perhaps you could attach output of smartctl for one of the
disks that timed out, and a snippet of syslog as well.

Thanks,
   Bruce Allen
Comment 2 Jeremy Katz 2004-09-22 15:24:36 EDT
This is already done.

Note You need to log in before you can comment on or make changes to this bug.